package com.changfa.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.changfa.entity.TRole;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wwz
 * @since 2022-06-24
 */
public interface ITRoleService extends IService<TRole> {

    TRole selectRoleByUserId(Integer userId);

    boolean deleteRoleById(Integer roleId);

    Page<Map<String,Object>> listPage(Wrapper wrapper, Page page);
}
